> ## Documentation Index
> Fetch the complete documentation index at: https://crm-docs.adscrush.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create lead

> Add a new lead to campaign



## OpenAPI

````yaml POST /v1/leads
openapi: 3.0.0
info:
  version: 1.0.0
  title: Adscrush CRM API
  description: API for managing leads in Adscrush CRM
  license:
    name: MIT
servers:
  - url: https://adscrush-api.anonymoussherlock.workers.dev/api
security:
  - API_KEY: []
paths:
  /v1/leads:
    post:
      summary: Add a new lead to campaign
      description: Add a new lead to campaign
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewLead'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  order_id:
                    type: string
                    example: rec_crlh9b3n9o8uin0cj1kg
        '400':
          $ref: '#/components/responses/ZodValidationError'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - API_KEY: []
components:
  schemas:
    NewLead:
      type: object
      properties:
        name:
          type: string
          description: Name is required. The name of the lead.
        phone:
          type: string
          description: The phone number of the lead.
        s1:
          type: string
          description: The unique code provided by us.
        lp_name:
          type: string
          description: The lp name  provided by us.
        address:
          type: string
          description: The address of the lead.
      required:
        - name
        - phone
        - s1
        - lp_name
  responses:
    ZodValidationError:
      description: Zod Validation Error
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: false
              error:
                type: string
                example: validation
              message:
                type: string
                example: Invalid input data
    UnauthorizedError:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: false
              error:
                type: string
                example: unauthorized
              message:
                type: string
                example: Authentication failed
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: false
              error:
                type: string
                example: error
              message:
                type: string
                example: An unexpected error occurred
  securitySchemes:
    API_KEY:
      type: apiKey
      in: header
      name: API_KEY
      description: >-
        Your API key. Include this key in the `API_KEY` header when making
        requests to endpoints that require authentication. You can find your API
        key in the 'Profile' tab on the website.

````